Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin.util
Class ScanTargetPattern

    java.lang.Object
      org.mortbay.jetty.plugin.util.ScanTargetPattern

    public class ScanTargetPattern

extends Object

ScanTargetPattern Utility class to provide the ability for the mvn jetty:run mojo to be able to specify filesets of extra files to regularly scan for changes in order to redeploy the webapp. For example: <scanTargetPattern> <directory>/some/place</directory> <includes> <include>some ant pattern here </include> <include>some ant pattern here </include> </includes> <excludes> <exclude>some ant pattern here </exclude> <exclude>some ant pattern here </exclude> </excludes> </scanTargetPattern>

Constructor Summary
`ScanTargetPattern()`

Method Summary
`File` | `getDirectory()`
`List` | `getExcludes()`
`List` | `getIncludes()`
`void` | `setDirectory(File directory)`
`void` | `setExcludes(List excludes)`
`void` | `setIncludes(List includes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScanTargetPattern

    public ScanTargetPattern()

Method Detail

### getDirectory

    public File getDirectory()

  Returns:
    the _directory

### setDirectory

    public void setDirectory(File directory)

  Parameters:
    `_directory` - the _directory to set

### setIncludes

    public void setIncludes(List includes)

### setExcludes

    public void setExcludes(List excludes)

### getIncludes

    public List getIncludes()

### getExcludes

    public List getExcludes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.